package com.lockscreen.onelock

import android.app.Application
import android.content.res.Resources
import android.util.Log
import com.appannie.tbird.sdk.TweetyBird
import com.appannie.tbird.sdk.callback.IValueUpdateCallback
import com.dotools.umlibrary.UMPostUtils
import com.igexin.sdk.PushManager
import com.lzy.okgo.OkGo
import com.my.getuilibrary.GeTuiIntentService
import com.my.getuilibrary.GeTuiService


/**
 * @author yl552
 */
class App : Application() {
    override fun onCreate() {
        super.onCreate()
        UMPostUtils.init(this)
        UMPostUtils.setDebugLog(false)
        OkGo.getInstance().init(this)
        TweetyBird.init(this) {
            Log.e("annin", "anninOK")
            if (!TweetyBird.isStarted(this)) {
                TweetyBird.start(this, object : IValueUpdateCallback {
                    override fun updateFailed() {
                        Log.e("annin", "startFailed")
                    }


                    override fun updateSucceeded() {
                        Log.e("annin", "startSucceeded")
                    }
                })
            }
        }
        PushManager.getInstance().initialize(applicationContext, GeTuiService::class.java)
        PushManager.getInstance().registerPushIntentService(applicationContext, GeTuiIntentService::class.java)
        //        GeShuUtils.getInstance().init(this);
        //        GInsightEventUtils.getInstance().initGInsight(this, "uMeHcxxx2sAXGd3HAugv54");
    }

    override fun getResources(): Resources {
        val resources = super.getResources()
        if (resources != null && resources.configuration.fontScale != 1.0f) {
            val configuration = resources.configuration
            configuration.fontScale = 1.0f
            resources.updateConfiguration(configuration, resources.displayMetrics)
        }
        return resources
    }

}
