package com.lockscreen.onelock

import android.annotation.TargetApi
import android.app.Activity
import android.app.AppOpsManager
import android.content.Context
import android.content.Intent
import android.content.pm.PackageManager.NameNotFoundException
import android.os.Build
import android.os.Bundle
import android.provider.Settings
import android.support.v7.app.AppCompatActivity
import android.widget.Button
import com.dotools.umlibrary.UMPostUtils

/**
 * Created by yl552 on 2017/9/19.
 */

class ClearPreActivity : AppCompatActivity() {
    private var yes: Button? = null
    private var no: Button? = null
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_clear)
        yes = findViewById(R.id.clear_ok)
        no = findViewById(R.id.clear_no)
        no!!.setOnClickListener {
            SharedPreferences.setShowedPermission(applicationContext, 1)
            SharedPreferences.setHasPermission(applicationContext, false)
            UMPostUtils.onEvent(applicationContext, "advanced_perm_miss_click")
            setResult(Activity.RESULT_OK)
            finish()
        }
        yes!!.setOnClickListener {
            UMPostUtils.onEvent(applicationContext, "advanced_perm_on_click")
            SharedPreferences.setShowedPermission(applicationContext, 1)
            if (!isUsageEnabled(applicationContext)) {
                tryEnable()
            } else {
                setResult(Activity.RESULT_OK)
                finish()
            }
        }
        UMPostUtils.onEvent(applicationContext, "advanced_perm_show")
    }

    @TargetApi(Build.VERSION_CODES.LOLLIPOP)
    private fun tryEnable() {
        val intent = Intent(Settings.ACTION_USAGE_ACCESS_SETTINGS)
        startActivityForResult(intent, 0x3333)
    }

    override fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?) {
        super.onActivityResult(requestCode, resultCode, data)
        if (requestCode == 0x3333) {
            if (hasPermission()) {
                UMPostUtils.onEvent(applicationContext, "advanced_perm_users")
                SharedPreferences.setHasPermission(applicationContext, true)
            }
            setResult(Activity.RESULT_OK)
            finish()
        }
    }

    @TargetApi(Build.VERSION_CODES.KITKAT)
    private fun hasPermission(): Boolean {
        val appOps = getSystemService(Context.APP_OPS_SERVICE) as AppOpsManager
        var mode = 0
        if (Build.VERSION.SDK_INT > Build.VERSION_CODES.KITKAT) {
            mode = appOps.checkOpNoThrow(AppOpsManager.OPSTR_GET_USAGE_STATS, android.os.Process.myUid(), packageName)
        }
        return mode == AppOpsManager.MODE_ALLOWED
    }

    override fun onResume() {
        super.onResume()
        UMPostUtils.onActivityResume(this)
    }

    override fun onPause() {
        super.onPause()
        UMPostUtils.onActivityPause(this)
    }

    @TargetApi(Build.VERSION_CODES.LOLLIPOP)
    private fun isUsageEnabled(appContext: Context): Boolean {
        return try {
            val packageManager = appContext.packageManager
            val applicationInfo = packageManager.getApplicationInfo(appContext.packageName, 0)
            val appOpsManager = appContext.getSystemService(Context.APP_OPS_SERVICE) as AppOpsManager
            val mode = appOpsManager.checkOpNoThrow(AppOpsManager.OPSTR_GET_USAGE_STATS, applicationInfo.uid, appContext.packageName)
            mode == AppOpsManager.MODE_ALLOWED
        } catch (e: NameNotFoundException) {
            false
        }
    }
}
