package com.lockscreen.onelock

import android.content.Intent
import android.content.res.Resources
import android.os.Bundle
import android.support.v7.app.AppCompatActivity
import android.view.KeyEvent
import android.view.View
import android.widget.Button
import android.widget.CheckBox
import android.widget.TextView
import com.dotools.umlibrary.UMPostUtils


class JoinActivity : AppCompatActivity(), View.OnClickListener {
    private var projectCheck: CheckBox? = null
    private var projectText: TextView? = null
    private var mActivateBtn: Button? = null

    override fun getResources(): Resources {
        val resources = super.getResources()
        if (resources != null && resources.configuration.fontScale != 1.0f) {
            val configuration = resources.configuration
            configuration.fontScale = 1.0f
            resources.updateConfiguration(configuration, resources.displayMetrics)
        }
        return resources
    }


    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_cover)
        projectCheck = findViewById(R.id.user_project_check)
        projectCheck!!.setOnClickListener(this)
        projectText = findViewById(R.id.user_project_text)
        projectText!!.setOnClickListener(this)
        mActivateBtn = findViewById(R.id.activate_btn)
        mActivateBtn!!.setOnClickListener(this)
        projectCheck!!.setBackgroundResource(R.drawable.btn_join)
        projectCheck!!.isChecked = true
    }

    override fun onStop() {
        super.onStop()
        SharedPreferences.setHasShowTip(this)
    }

    override fun onKeyDown(keyCode: Int, event: KeyEvent): Boolean {
        return if (keyCode == KeyEvent.KEYCODE_BACK) {
            val intent = Intent()
            intent.putExtra("isFromCover", false)
            setResult(1, intent)
            finish()
            false
        } else {
            true
        }
    }

    override fun onResume() {
        super.onResume()
        UMPostUtils.onActivityResume(this)
    }

    override fun onPause() {
        super.onPause()
        UMPostUtils.onActivityPause(this)
    }

    override fun onClick(v: View) {
        if (v === projectCheck) {
            if (projectCheck!!.isChecked) {
                projectCheck!!.setBackgroundResource(R.drawable.btn_join)
            } else {
                projectCheck!!.setBackgroundResource(R.drawable.btn_not_join)
            }
        } else if (v === projectText) {
            val intent = Intent(this, UserProjectActivity::class.java)
            startActivity(intent)
        } else if (v === mActivateBtn) {
            val intent = Intent()
            intent.putExtra("isFromCover", true)
            setResult(1, intent)
            finish()
        }
    }
}
