package com.lockscreen.onelock

import android.annotation.TargetApi
import android.content.res.Resources
import android.os.Build
import android.os.Bundle
import android.support.v7.app.AppCompatActivity
import android.widget.Button
import android.widget.TextView
import com.dotools.umlibrary.UMPostUtils
import com.dotools.utils.ChannelMgr


class UserProjectActivity : AppCompatActivity() {
    private var mUserText: TextView? = null

    override fun getResources(): Resources {
        val resources = super.getResources()
        if (resources != null && resources.configuration.fontScale != 1.0f) {
            val configuration = resources.configuration
            configuration.fontScale = 1.0f
            resources.updateConfiguration(configuration, resources.displayMetrics)
        }
        return resources
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.user_project)
        mUserText = findViewById(R.id.user_project_text)
        if (ChannelMgr.getUmengChannel(applicationContext).equals("qq", ignoreCase = true)) {
            mUserText!!.text = applicationContext.resources.getString(R.string.qq_project_privacy)
        }
        val button = findViewById<Button>(R.id.user_project_back)
        button.setOnClickListener { finish() }
    }

    override fun onResume() {
        super.onResume()
        UMPostUtils.onActivityResume(this)
    }

    @TargetApi(Build.VERSION_CODES.N)
    override fun onPause() {
        super.onPause()
        UMPostUtils.onActivityPause(this)
    }
}